import React from 'react';
import Modal from 'react-modal';

const customStyles = {
  content: {
    top: '50%',
    left: '50%',
    right: 'auto',
    bottom: 'auto',
    marginRight: '-50%',
    transform: 'translate(-50%, -50%)',
  },
};

function BaseModal({children, open}) {
  return (
    <Modal
      isOpen={open}
      style={customStyles}
    >
      {children}
    </Modal>
  );
}

export default BaseModal;